<table mat-table [dataSource]="dataSource" class="mat-elevation-z8" cdkDrag>
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID.</th>
    <td mat-cell *matCellDef="let i = index;">{{i+1}} </td>
  </ng-container>

  <ng-container matColumnDef="username">
    <th mat-header-cell *matHeaderCellDef>username</th>
    <td mat-cell *matCellDef="let element">{{ element.user.username }}</td>
  </ng-container>
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef>name</th>
    <td mat-cell *matCellDef="let element">{{ element.user.name }}</td>
  </ng-container>

  <ng-container matColumnDef="subject">
    <th mat-header-cell *matHeaderCellDef>subject</th>
    <td mat-cell *matCellDef="let element">{{ element.subject.name }}</td>
  </ng-container>

  <ng-container matColumnDef="score">
    <th mat-header-cell *matHeaderCellDef>score</th>
    <td mat-cell *matCellDef="let element">{{ element.score }}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns;"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
</table>
